=== debian/changelog ===
staden (2.0.0+b10-4ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/include_xalloc.patch: Include "xalloc.h" in a few more
      files that use xcalloc.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 26 Mar 2016 15:57:23 -0500

staden (2.0.0+b10-4) unstable; urgency=medium

  * Move packaging to git
  * Upstream enhanced suggested patch

 -- Andreas Tille <tille@debian.org>  Tue, 23 Feb 2016 09:34:47 +0100

staden (2.0.0+b10-3) unstable; urgency=medium

  * Upstream provided patch to deal with modern windowmanagers
    Closes: #815176

 -- Andreas Tille <tille@debian.org>  Mon, 22 Feb 2016 11:37:10 +0100

staden (2.0.0+b10-2) unstable; urgency=medium

  * Make sure all tools will be found by GUI programs
    Closes: #815174
  * cme fix dpkg-control
  * move bash completions from etc to usr/share/bash-completion/completions
  * fix names of desktop files to match names of GUI executables
  * fix some spelling issues

 -- Andreas Tille <tille@debian.org>  Sun, 21 Feb 2016 07:30:27 +0100

staden (2.0.0+b10-1.1ubuntu1) xenial; urgency=medium

  * Include "xalloc.h" in a few more files that use xcalloc.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2016 08:46:02 +0000

staden (2.0.0+b10-1.1build1) xenial; urgency=medium

  * Rebuild against libstaden-read11.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2016 08:31:33 +0000

staden (2.0.0+b10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Point configure to the new location of Itcl and Itk packages
    (closes: #753935).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Jul 2014 09:36:09 +0400

staden (2.0.0+b10-1) unstable; urgency=low

  [ Tim Booth ]
  * Initial release to Debian (Closes: #710324)

  * Fix dependency for Debian after realising io-lib was already packaged
    as libstaden-read

  [ Andreas Tille ]
  * Port some changes from other attempt to package staden by
    Jonas Smedegaard
  * Fix several lintian issues
  * fix watch file
  * wrapper script for staden to provide access to all binaries,
    main binaries available via additional symlink

 -- Andreas Tille <tille@debian.org>  Mon, 21 Apr 2014 22:34:28 +0200

staden (2.0.0b9-0biolinux4) precise; urgency=low

  * Add patches to show copyright form Help menu

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 12 Jun 2013 16:51:19 +0100

staden (2.0.0b9-0biolinux3) precise; urgency=low

  * Add missing build dep.
  * Add recommends on staden-doc

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 11 Jun 2013 10:18:37 +0100

staden (2.0.0b9-0biolinux1) precise; urgency=low

  * New package for Bio-Linux
  * Split into dep/indep components
  * Add an icon so that apps can show in Unity
  * Remove tg_view.bin and tg_index.bin as they seem to be useless copies
    of the corresponding binaries.

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 10 Jun 2013 17:35:47 +0100
