=== debian/watch ===
version=3
opts=dversionmangle=s/~b/b/ \
  http://sf.net/staden/staden-([0-9ab.]*)[-src]*\.tar\.(?:bz2|gz)
